Bug 1005701 - [abrt] evolution-3.9.91-2.fc20: g_mutex_get_impl: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.9.91-2.fc20: g_mutex_get_impl: Process /usr/bin/evolution ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:3909bebf9737a8ce1fd0a45512a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 04:44 EDT by Björn 'besser82' Esser
Modified: 2014-08-27 06:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 03:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.53 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: core_backtrace (38.40 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: dso_list (26.46 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: environ (1.48 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: maps (124.72 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: open_fds (2.86 KB, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-09-09 04:44 EDT, Björn 'besser82' Esser
no flags Details
File: var_log_messages (339 bytes, text/plain)
2013-09-09 04:45 EDT, Björn 'besser82' Esser
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 707830 None None None Never

  None (edit)
Description Björn 'besser82' Esser 2013-09-09 04:44:15 EDT
Description of problem:
I just changed some settings of an account and apllied them.  When clicking on "apply", evolution crashed with this.

Version-Release number of selected component:
evolution-3.9.91-2.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution
crash_function: g_mutex_get_impl
executable:     /usr/bin/evolution
kernel:         3.11.0-300.fc20.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mutex_get_impl at gthread-posix.c:124
 #1 g_mutex_lock at gthread-posix.c:213
 #2 imapx_start_idle at camel-imapx-server.c:3343
 #3 imapx_command_start_next at camel-imapx-server.c:1044
 #4 imapx_completion at camel-imapx-server.c:2780
 #5 imapx_step at camel-imapx-server.c:2815
 #6 imapx_parse_contents at camel-imapx-server.c:6764
 #7 imapx_parser_thread at camel-imapx-server.c:6830
 #8 g_thread_proxy at gthread.c:798
 #10 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Comment 1 Björn 'besser82' Esser 2013-09-09 04:44:23 EDT
Created attachment 795531 [details]
File: backtrace
Comment 2 Björn 'besser82' Esser 2013-09-09 04:44:26 EDT
Created attachment 795532 [details]
File: cgroup
Comment 3 Björn 'besser82' Esser 2013-09-09 04:44:30 EDT
Created attachment 795533 [details]
File: core_backtrace
Comment 4 Björn 'besser82' Esser 2013-09-09 04:44:33 EDT
Created attachment 795534 [details]
File: dso_list
Comment 5 Björn 'besser82' Esser 2013-09-09 04:44:37 EDT
Created attachment 795535 [details]
File: environ
Comment 6 Björn 'besser82' Esser 2013-09-09 04:44:40 EDT
Created attachment 795536 [details]
File: exploitable
Comment 7 Björn 'besser82' Esser 2013-09-09 04:44:43 EDT
Created attachment 795537 [details]
File: limits
Comment 8 Björn 'besser82' Esser 2013-09-09 04:44:47 EDT
Created attachment 795538 [details]
File: maps
Comment 9 Björn 'besser82' Esser 2013-09-09 04:44:51 EDT
Created attachment 795539 [details]
File: open_fds
Comment 10 Björn 'besser82' Esser 2013-09-09 04:44:55 EDT
Created attachment 795540 [details]
File: proc_pid_status
Comment 11 Björn 'besser82' Esser 2013-09-09 04:45:01 EDT
Created attachment 795541 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-09-10 03:21:20 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=707830
Comment 13 Eugene Kanter 2014-01-24 13:42:39 EST
There appears to be a fix in upstream. Are there any plans for a backport?
Comment 14 Milan Crha 2014-01-27 05:05:58 EST
Right, it depends whether the change is applicable to 3.10.3 at all, but if the upstream developer will provide a fix for 3.10.3, then it might be part of 3.10.4 release, which will be added to Fedora once it's out (in other words, I'd wait for the upstream with this, because the change itself doesn't look trivial).

Note You need to log in before you can comment on or make changes to this bug.